[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# OnGetTempFile

Handler for GetTempFileName function.

## Declaration

Source position: datih.inc line 18

`var OnGetTempFile: TGetTempFileEvent;`

## Description

OnGetTempDir can be used to provide custom behaviour for the GetTempFileName function. Note that the values for Prefix and Dir should be observed.

## See also

OnGetTempDir |  | Handler for GetTempDir function.
GetTempFileName |  | Return the name of a temporary file.

Documentation generated on: Feb 26 2014